Skip to content

Fetch a collection of content

Request

Returns a list of content records and allows for sorting, filtering, and pagination of the records. This list can be used to pass into a topic.
Response body is an array of records.
Resources

Security
oauth2_as_a_user(Required scopes: content.read) or oauth2_as_a_server(Required scopes: content.read)
Query
filter.content_typeArray of strings

Limit returned records to those that match the content_type(s) provided.

filter.stateArray of strings

Limit returned records to those that match the state(s) provided.

filter.targeted_channelsstring

Return content posts that are assigned to targeted topics

Default:"any"
Enum:"true""false""any"
filter.channels.idArray of integers

Return content posts that are assigned to the topic.

filter.initiative_tags.idArray of integers

Return content posts that are tagged with the provided initiative tags. Defaults to all content.

filter.visibilitystring

Limit records to the value provided.

Default:"any"
Enum:"public""private""any"
filter.featuredstring

Limit records to the value provided.

Default:"any"
Enum:"true""false""any"
filter.source.typestring

Limit returned records to records using the provided source.type value.

Default:"any"
Enum:"submitted""pinterest""rss""facebook""twitter""instagram""socialchorus_cpcm""studio""oauth_client""any"
filter.source.post_idstring

Limit results to records with the given unique identifier on the source system.

filter.created_at.fromstring, (date-time)

Limit results to records created at or after this time, equivalent to a range filter of "{value} <= created_at <= now". Use in combination with created_at.to to specify a limited upper bound on the value range. Must be formatted as an ISO8601 timestamp or datestamp. Datestamps are assumed to be in UTC.

filter.created_at.tostring, (date-time)

Limit results to records created at or before this time, equivalent to a range filter of "forever <= created_at <= {value}". Use in combination with created_at.from to specify a limited lower bound on the value range. Must be formatted as an ISO8601 timestamp or datestamp. Datestamps are assumed to be in UTC.

filter.updated_at.fromstring, (date-time)

Limit results to records created at or after this time, equivalent to a range filter of "{value} <= updated_at <= now". Use in combination with updated_at.to to specify a limited upper bound on the value range. Must be formatted as an ISO8601 timestamp or datestamp. Datestamps are assumed to be in UTC.

filter.updated_at.tostring, (date-time)

Limit results to records created at or before this time, equivalent to a range filter of "forever <= updated_at <= {value}". Use in combination with updated_at.from to specify a limited lower bound on the value range. Must be formatted as an ISO8601 timestamp or datestamp. Datestamps are assumed to be in UTC.

filter.published_at.fromstring, (date-time)

Limit results to records created at or after this time, equivalent to a range filter of "{value} <= published_at <= now". Use in combination with published_at.to to specify a limited upper bound on the value range. Must be formatted as an ISO8601 timestamp or datestamp. Datestamps are assumed to be in UTC.

filter.published_at.tostring, (date-time)

Limit results to records created at or before this time, equivalent to a range filter of "forever <= published_at <= {value}". Use in combination with published_at.from to specify a limited lower bound on the value range. Must be formatted as an ISO8601 timestamp or datestamp. Datestamps are assumed to be in UTC.

page.sizeinteger, (int64)

Return page.size number of records starting at size*number. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

page.numberinteger, (int64)

Using classical pagination, the page number to return. Default is 1

curl -i -X GET \
  'https://partner.socialchorus.com/v2/content?filter.content_type=article&filter.state=draft&filter.targeted_channels=true&filter.channels.id=0&filter.initiative_tags.id=0&filter.visibility=public&filter.featured=true&filter.source.type=submitted&filter.source.post_id=string&filter.created_at.from=2019-08-24T14%3A15%3A22Z&filter.created_at.to=2019-08-24T14%3A15%3A22Z&filter.updated_at.from=2019-08-24T14%3A15%3A22Z&filter.updated_at.to=2019-08-24T14%3A15%3A22Z&filter.published_at.from=2019-08-24T14%3A15%3A22Z&filter.published_at.to=2019-08-24T14%3A15%3A22Z&page.size=0&page.number=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(Reactions.Fields)required
metaobject
Response
{ "data": [ {} ], "meta": { "filters": {}, "pagination": {} } }